Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.swt
Class ECPSWTViewRendererImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.swt.ECPSWTViewRendererImpl

All Implemented Interfaces:
  ECPSWTViewRenderer

    public class ECPSWTViewRendererImpl

extends Object
implements ECPSWTViewRenderer

Author:
  Jonas

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.ui.view.swt.ECPSWTViewRenderer
`INSTANCE`

Constructor Summary
`ECPSWTViewRendererImpl()` Constructor.

Method Summary
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject, Map<String,Object> context)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, org.eclipse.emf.ecore.EObject domainObject, VView viewModel)` Creates a view with the attributes of the domain object.
`ECPSWTView` | `render(org.eclipse.swt.widgets.Composite parent, ViewModelContext viewModelContext)` Creates a view with the attributes of the domain object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPSWTViewRendererImpl

    public ECPSWTViewRendererImpl()

  Constructor.

Method Detail

### render

    public ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                             org.eclipse.emf.ecore.EObject domainObject)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view can either be describes by a registered view model, or, if none view model is registered for the domainObject, will be the default layout.

  Specified by:
    `render` in interface `ECPSWTViewRenderer`
  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  See Also:
    `ECPSWTViewRenderer.render(org.eclipse.swt.widgets.Composite, org.eclipse.emf.ecore.EObject)`

### render

    public ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                             org.eclipse.emf.ecore.EObject domainObject,
                             VView viewModel)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view is specified by the given view model.

  Specified by:
    `render` in interface `ECPSWTViewRenderer`
  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
    `viewModel` - the view model describing the layout of the view
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  See Also:
    `ECPSWTViewRenderer.render(org.eclipse.swt.widgets.Composite, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecp.view.spi.model.VView)`

### render

    public ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                             ViewModelContext viewModelContext)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view is specified by the view model set in the view model context.

  Specified by:
    `render` in interface `ECPSWTViewRenderer`
  Parameters:
    `parent` - the parent SWT composite to render the view on
    `viewModelContext` - the `ViewModelContext` to use
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  See Also:
    `ECPSWTViewRenderer.render(org.eclipse.swt.widgets.Composite, org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

### render

    public ECPSWTView render(org.eclipse.swt.widgets.Composite parent,
                             org.eclipse.emf.ecore.EObject domainObject,
                             Map<String,Object> context)
                      throws ECPRendererException

  Creates a view with the attributes of the domain object. The layout of the view can either be describes by a registered view model, or, if none view model is registered for the domainObject, will be the default layout.

  Specified by:
    `render` in interface `ECPSWTViewRenderer`
  Parameters:
    `parent` - the parent SWT composite to render the view on
    `domainObject` - The domainObject to show in the view
    `context` - a key-value-map from String to Object
  Returns:
    an ECPSWTView providing an interface to the rendered view
  Throws:
    `ECPRendererException` - if there is an exception during rendering
  See Also:
    `ECPSWTViewRenderer.render(org.eclipse.swt.widgets.Composite, org.eclipse.emf.ecore.EObject, java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.